### Method

# AppStream Reference set_registry_name

#### Declaration [src]

    void
    as_reference_set_registry_name (
      AsReference* reference,
      const gchar* name
    )

#### Description [src]

Sets a name of a registry if this reference is of type `AS_REFERENCE_KIND_REGISTRY`.

#### Parameters

`name`

  Type: `const gchar*`

  Name of an external registry.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.